@php

  use App\Libraries\ejLib;
    $var = ejLib::getInstance();
    $soapclient = $var->getWs();
    $wsClave = $var->get_wsClave();

    $usuario = $_SESSION['operador'];
    $Centro_Sal = $var->desencriptar_AES($usuario['centro_sal'], $usuario['x']);
    $Centro_Sal = trim($Centro_Sal);
    $id_doc = trim( $var->desencriptar_AES($usuario['id_doc'], $usuario['x']) );
    $id_med_con = trim( $var->desencriptar_AES($usuario['id_med_con'], $usuario['x']) );
    $id_especialidad = trim( $var->desencriptar_AES($usuario['id_especialidad'], $usuario['x']) );
    $clues = trim( $var->desencriptar_AES($usuario['clues'], $usuario['x']) );
    $no = trim( $var->desencriptar_AES($usuario['no'], $usuario['x']) );
/*  
print_r($id_especialidad); die();

*/

  /*  $Nombre =    $var->desencriptar_AES($usuario['nombre_user'], $usuario['x']);
    $Apellido1 = $var->desencriptar_AES($usuario['apellido_user_1er'], $usuario['x']);
    $Apellido2 = $var->desencriptar_AES($usuario['apellido_user_2do'], $usuario['x']);
    $Encargado = trim($Nombre).' '.trim($Apellido1).' '.trim($Apellido2);

   */ 



@endphp
@extends('layouts.app')

@section('title', 'Agenda de Consulta Externa')
@section('breadcrumb')
 <li class="active">Agenda</li>
 <li class="active">Consulta Externa</li>
@endsection
@section('styles')
    <style>

  #mnuCtx_Usuarios #tblCTmenu tr:hover{
    font-weight: 600; 
    cursor: pointer;
    color: #00631b;
    font-size: 16px;  
  }

  #mnuCtx_Usuarios #tblCTmenu tr:active{    
    font-size: 16px;    
    background-color: #848587;
    color: #fff;
  }

    </style>
@endsection

<link rel="stylesheet" href="css/bootstrap.css">
<script src="js/jquery-3.1.0.min.js"></script>
<script src="js/notify.js"></script>


@section('content')

  
<div class="row" id="obj_getAgendaMedico" name ="obj_getAgendaMedico">
  
</div>
<div class="row" id="obj_infoPacienteNotaMedica" name ="obj_infoPacienteNotaMedica">
      <div class="modal fade" id="defaultModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"  style="background-color: fff;">
        <div class="modal-dialog modal-lg" role="document">
            <div id="modalContent" class="modal-content">

            </div>
        </div>
    </div>
</div>
     


 
     


@endsection
<script src="{{asset('js/modules/director.js')}}"></script> 
@section('scripts')
 
  <script type="text/javascript">
    $(document).ready(function(){
      
 
    jqGetAjaxShort('Agenda_solicitarCita', 'obj_getAgendaMedico', {
          centro_sal: {{ $Centro_Sal}},
          clave_pac: '1',
          id_solicitud: '',
          clues_origen: '{{ $clues}}',
          btngrabar: '0',
          btnborrar: '0',
          ver_como_ventana: '0',
          btndetalles: '0',
          btninsertar: '0',
          btnVacunacion: '0', 
          btnReporteVacunacion: '1',
          Id_Especialidad: {{ $id_especialidad }},
          no: {{ $no }},
          id_med_con: {{ $id_med_con}}, 
          agendaConsulta: '1'
          }  );
      
    });


  //toxicomanias

  $(document).on('click', '#frm_addToxicomanias #btn_editar_toxico', function () { 
    var clave_pac = $('#frm_addToxicomanias #h_clave_pac').val(); 
        jqGetAjax_Modal("patologicos/toxicomanias/getAddToxicomanias","modalContent", {'clave_pac': clave_pac, 'imprimeObjeto': '1' }, 'modalAddToxico');
  });

  
    
$(document).on('change', '#modalAddToxico #vCat_Toxicomanias', function () { 
        var id_toxi = $(this).val();
        var unidad = $('#vCat_Toxicomanias').find(":selected").data('unidad');
        $("#modalAddToxico #unidad").val(unidad); 
                               // $('#tipo_asentamiento_loc').val(type).change();
      });

     $(document).on('click', '#modalAddToxico #btn_grabarToxico', function () {    
        var id_toxi = $('#vCat_Toxicomanias').val();
        var fecha_inicio = $('#modalAddToxico #fecha_inicio').val();
        var fecha_fin = $('#modalAddToxico #fecha_fin').val();
        var txt_consumo_dia = $('#modalAddToxico #txt_consumo_dia').val();
        var unidad = $('#vCat_Toxicomanias').find(":selected").data('unidad');
        var clave_pac = $('#frm_addToxicomanias #h_clave_pac').val(); 

        fecha_inicio = fecha_inicio.split('-').reverse().join('/'); 

        fecha_fin = fecha_fin.split('-').reverse().join('/');   
        if(id_toxi==''){
          $.notify("-Favor de especificar toxicomanía-","error");
          $('#modalAddToxico #vCat_Toxicomanias').focus();
          return false;
        }
        if(fecha_inicio==''){
          $.notify("-Favor de especificar fecha de inicio de consumo-","error");
          $('#modalAddToxico #fecha_inicio').focus();
          return false;
        }
     

        if(txt_consumo_dia==''){
          $.notify("-Favor de especificar consumo por día-","error");
          $('#modalAddToxico #txt_consumo_dia').focus();
          return false;
        }


         $('#modalAddToxico').modal('hide');


         var comando = `
        var error = $('#tbl_toxicomanias #hError').val();
       
        if(error === '0'){
           document.getElementById("chkNinguna").checked = false;
           $('input[type=checkbox][name=chkNinguna]').prop('disabled', true); 
         
        }`;



          jqGetAjaxShort_exec('patologicos/toxicomanias/addToxicomanias', 'tbl_toxicomanias', {
          id_toxi: id_toxi,
          fecha_inicio: fecha_inicio,
          fecha_fin: fecha_fin,
          txt_consumo_dia: txt_consumo_dia,
          unidad: unidad,
          clave_pac: clave_pac
          }, false,comando  );

        

       
      

      });

      $(document).on('click', '#modalAddToxico #btn_actualizarToxico', function () {    
        var id_toxi = $('#vCat_Toxicomanias').val();
        var fecha_inicio = $('#modalAddToxico #fecha_inicio').val();
        var fecha_fin = $('#modalAddToxico #fecha_fin').val();
        var txt_consumo_dia = $('#modalAddToxico #txt_consumo_dia').val();
        var unidad = $('#vCat_Toxicomanias').find(":selected").data('unidad');
        var clave_pac = $('#frm_addToxicomanias #h_clave_pac').val(); 
        var n_reg = $('#modalAddToxico #h_n_reg').val();

        

        fecha_inicio = fecha_inicio.split('-').reverse().join('/'); 

        fecha_fin = fecha_fin.split('-').reverse().join('/');   
        if(id_toxi==''){
          $.notify("-Favor de especificar toxicomanía-","error");
          $('#modalAddToxico #vCat_Toxicomanias').focus();
          return false;
        }
        if(fecha_inicio==''){
          $.notify("-Favor de especificar fecha de inicio de consumo-","error");
          $('#modalAddToxico #fecha_inicio').focus();
          return false;
        }
     

        if(txt_consumo_dia==''){
          $.notify("-Favor de especificar consumo por día-","error");
          $('#modalAddToxico #txt_consumo_dia').focus();
          return false;
        }

         $('#modalAddToxico').modal('hide');

          jqGetAjaxShort('patologicos/toxicomanias/updToxicomanias', 'tbl_toxicomanias', {
          id_toxi: id_toxi,
          fecha_inicio: fecha_inicio,
          fecha_fin: fecha_fin,
          txt_consumo_dia: txt_consumo_dia,
          unidad: unidad,
          clave_pac: clave_pac, n_reg: n_reg
          }  );
      

       
      

      });

      // quirurgicos
      $(document).on('click', '#frm_addQuirurgicos #btn_agregar_quirurgico', function () { 
       var clave_pac = $('#frm_addQuirurgicos #h_clave_pac').val(); 
        jqGetAjax_Modal("patologicos/toxicomanias/getAddQuirurgicos","modalContent", {'clave_pac': clave_pac, 'imprimeObjeto': '1' }, 'modalAddQuirurgico');
    });


     $(document).on('click', '#modalAddQuirurgico #tbl_lstQuirurgicos .procedimiento', function () {    
           var clave_pac = $('#frm_addQuirurgicos #h_clave_pac').val(); 

            
            $tr = $(this);
            
            var clave = $tr.data('clave');

      
           $('#modalAddQuirurgico').modal('hide');
            var comando = `
             var error = $('#tbl_quirurgicos #hError').val();
       
            if(error === '0'){
            document.getElementById("chkNingunoQuirugico").checked = false;
            $('input[type=checkbox][name=chkNingunoQuirugico]').prop('disabled', true); 
         
        }`;
  
          //  jqGetAjaxShort("patologicos/quirurgicos/addQuirurgico","tbl_quirurgicos", {'clave_pac': clave_pac, 'clave_cie9': clave });
            jqGetAjaxShort_exec('patologicos/quirurgicos/addQuirurgico', 'tbl_quirurgicos',  {'clave_pac': clave_pac, 'clave_cie9': clave }, false,comando  );
            //setTimeout(recargarNotas, 500);

         });


       // alergicos
      $(document).on('click', '#frm_addAlergia #btn_agregar_alergia', function () { 
       var clave_pac = $('#frm_addAlergia #h_clave_pac').val(); 
        jqGetAjax_Modal("patologicos/alergicos/getAddAlergicos","modalContent", {'clave_pac': clave_pac, 'imprimeObjeto': '1' }, 'modalAddAlergia');
    });

      

      $(document).on('click', '#modalAddAlergia #btn_grabarAlergico', function () {    
        var txt_alergia = $('#modalAddAlergia #txtAlergia').val();
        var fecha_inicio = $('#modalAddAlergia #fecha_inicio').val();
        var txtMedico = $('#modalAddAlergia #txtMedico').val();
        var txtReaccion = $('#modalAddAlergia #txtReaccion').val();
        var txtEstado = $('#modalAddAlergia #txtEstado').val();
        var txt_observaciones = $('#modalAddAlergia #txt_observaciones').val();

        var clave_pac = $('#frm_addAlergia #h_clave_pac').val(); 

        fecha_inicio = fecha_inicio.split('-').reverse().join('/'); 


        if(txt_alergia==''){
          $.notify("-Favor de especificar alérgeno-","error");
          $('#modalAddAlergia #txtAlergia').focus();
          return false;
        }
        if(fecha_inicio==''){
          $.notify("-Favor de especificar fecha de inicio de la alergia-","error");
          $('#modalAddAlergia #fecha_inicio').focus();
          return false;
        }
     

        if(txtReaccion==''){
          $.notify("-Favor de especificar la reacción de la alergia-","error");
          $('#modalAddAlergia #txtReaccion').focus();
          return false;
        }

        if(txtEstado==''){
          $.notify("-Favor de especificar el estado actual de la alergia-","error");
          $('#modalAddAlergia #txtEstado').focus();
          return false;
        }




         $('#modalAddAlergia').modal('hide');


         var comando = `
        var error = $('#tbl_alergicos #hError').val();
       
        if(error === '0'){
           document.getElementById("chkNingunoAlergico").checked = false;
           $('input[type=checkbox][name=chkNingunoAlergico]').prop('disabled', true); 
         
        }`;



          jqGetAjaxShort_exec('patologicos/alergicos/addAlergicos', 'tbl_alergicos', {
          txt_alergia: txt_alergia,
          fecha_inicio: fecha_inicio,
          txtMedico: txtMedico,
          txtReaccion: txtReaccion,
          txtEstado: txtEstado,
          txt_observaciones: txt_observaciones,
          clave_pac: clave_pac
          }, false,comando  );

        

       
      

      });



  
  
   $(document).on('click', '#frm_addHospitalizacion #btn_agregar_hospitalizacion', function () { 
       var clave_pac = $('#frm_addHospitalizacion #h_clave_pac').val(); 

       jqGetAjax_Modal("patologicos/hospitalizaciones/getAddHospitalizaciones","modalContent", {'clave_pac': clave_pac, 'imprimeObjeto': '1' }, 'modalAddHosp');
    });
  

  $(document).on('click', '#modalAddHosp #btn_grabarHospitalizacion', function () {    
        
        var fecha_inicio = $('#modalAddHosp #txt_fecha').val();
        var txt_motivo = $('#modalAddHosp #h_clave_diag').val();
        var hospital = $('#modalAddHosp #vCat_CentroSalud').val();
        var txt_estancia = $('#modalAddHosp #txt_estancia').val();
        
        var institucion = $('#modalAddHosp #vCat_Derechohabiencia').val();

        var clave_pac = $('#frm_addHospitalizacion #h_clave_pac').val(); 

        fecha_inicio = fecha_inicio.split('-').reverse().join('/'); 


        
        if(fecha_inicio==''){
          $.notify("-Favor de especificar fecha de hospitalización-","error");
          $('#modalAddHosp #txt_fecha').focus();
          return false;
        }

        if(txt_motivo==''){
          $.notify("-Favor de especificar el motivo-","error");
          $('#modalAddHosp #txt_diagnostico').focus();
          return false;
        }
     
       if(institucion==''){
          $.notify("-Favor de especificar Institución de salud-","error");
          $('#modalAddHosp #vCat_Derechohabiencia').focus();
          return false;
        }

        if(hospital==''){
          $.notify("-Favor de especificar hospital-","error");
          $('#modalAddHosp #vCat_CentroSalud').focus();
          return false;
        }

        if(txt_estancia==''){
          $.notify("-Favor de especificar la estancia de hospitalización-","error");
          $('#modalAddHosp #txt_estancia').focus();
          return false;
        }




         $('#modalAddHosp').modal('hide');


         var comando = `
        var error = $('#tbl_hospitalizaciones #hError').val();
       
        if(error === '0'){
           document.getElementById("chkNingunaHosp").checked = false;
           $('input[type=checkbox][name=chkNingunaHosp]').prop('disabled', true); 
         
        }`;



          jqGetAjaxShort_exec('patologicos/hospitalizaciones/addHospitalizacion', 'tbl_hospitalizaciones', {
          fecha_inicio: fecha_inicio,
          txt_motivo: txt_motivo,
          institucion: institucion,
          hospital: hospital,
          txt_estancia: txt_estancia,
          clave_pac: clave_pac
          }, false,comando  );

        

       
      

      });

      $(document).on('click', '#frm_addPadecimientos #btn_agregar_padecimiento', function () { 
       var clave_pac = $('#frm_addPadecimientos #h_clave_pac').val(); 
       var folio = $('#frm_addPadecimientos #h_folio').val(); 
       jqGetAjax_Modal("patologicos/padecimientos/getAddPadecimientos","modalContent", {'clave_pac': clave_pac, 'imprimeObjeto': '1' }, 'modalAddPadecimientos');
    });

      
    $(document).on('click', '#modalAddPadecimientos #btn_grabarPadecimiento', function () {    
        var centro_sal= {{ $Centro_Sal}};
        var fecha_inicio = $('#modalAddPadecimientos #txt_fecha').val();
        var cve_cie = $('#modalAddPadecimientos #h_clave_diag').val();
        var observaciones = $('#modalAddPadecimientos #txt_observaciones').val();
        var clave_pac = $('#frm_addPadecimientos #h_clave_pac').val(); 
        var folio = $('#frm_addPadecimientos #h_folio').val(); 
        fecha_inicio = fecha_inicio.split('-').reverse().join('/'); 


        
        if(fecha_inicio==''){
          $.notify("-Favor de especificar fecha de padecimiento-","error");
          $('#modalAddPadecimientos #txt_fecha').focus();
          return false;
        }

        if(cve_cie==''){
          $.notify("-Favor de especificar el padecimiento-","error");
          $('#modalAddPadecimientos #txt_padecimiento').focus();
          return false;
        }
     



         $('#modalAddPadecimientos').modal('hide');





         var comando = `
        var error = $('#tbl_padecimientos #hError').val();
       
        if(error === '0'){
           document.getElementById("chkNingunPadecimiento").checked = false;
           $('input[type=checkbox][name=chkNingunPadecimiento]').prop('disabled', true); 
         
        }`;



          jqGetAjaxShort_exec('patologicos/padecimientos/addPadecimiento', 'tbl_padecimientos', {
          centro_sal: centro_sal,
          folio: folio,
          cve_cie: cve_cie,
          tipo_diagnostico: 99,
          primera_vez: '',
          confirmado: '',
          principal: '',
          fecha_inicio: fecha_inicio,
          observaciones: observaciones,
          hoja_frontal: '',
          activo_hojaf: '',
          clave_pac: clave_pac
          }, false,comando  );

        
          
       
      

      });

   
    $(document).on('click', '#frm_addDiscapacidades #btn_agregar_discapacidad', function () { 
       var clave_pac = $('#frm_addDiscapacidades #h_clave_pac').val(); 
       var folio = $('#frm_addDiscapacidades #h_folio').val(); 
       jqGetAjax_Modal("patologicos/discapacidades/getAddDiscapacidades","modalContent", {'clave_pac': clave_pac, 'imprimeObjeto': '1' }, 'modalAddDiscapacidad');
    });


    $(document).on('click', '#modalAddDiscapacidad #tbl_lstDiscapacidades #tblModalDiscapacidad .discapacidad', function () {    
           var clave_pac = $('#frm_addDiscapacidades #h_clave_pac').val(); 

            
            $tr = $(this);
            
            var clave = $tr.data('clave');

      
           $('#modalAddDiscapacidad').modal('hide');
            var comando = `
             var error = $('#tbl_discapacidad #hError').val();
       
            if(error === '0'){
            document.getElementById("chkNingunoDiscapacidad").checked = false;
            $('input[type=checkbox][name=chkNingunoDiscapacidad]').prop('disabled', true); 
         
        }`;
  
       
         jqGetAjaxShort_exec('patologicos/discapacidades/addDiscapacidad', 'tbl_discapacidad',  {'clave_pac': clave_pac, 'clave': clave }, false,comando  );
            //setTimeout(recargarNotas, 500);

         });   


    $(document).on('change', '#frm_addDiscapacidades #edit_vCat_Dificultad #vCat_Dificultad', function () { 
      var dificultad = $('#frm_addDiscapacidades #edit_vCat_Dificultad #vCat_Dificultad').val();
      var clave_pac = $('#frm_addDiscapacidades #h_clave_pac').val(); 
      var grado_disc =  $('#frm_addDiscapacidades #edit_vCat_GradoDeDificultad #vCat_GradoDeDificultad').val();
      var origen_disc = $('#frm_addDiscapacidades #edit_vCat_OrigenDeDificultad #vCat_OrigenDeDificultad').val();

      if (dificultad ==9) {
          $('#frm_addDiscapacidades #vCat_GradoDeDificultad').prop('disabled', true);
          $('#frm_addDiscapacidades #vCat_OrigenDeDificultad').prop('disabled', true);

         $('#frm_addDiscapacidades #edit_vCat_GradoDeDificultad #vCat_GradoDeDificultad').val(9);
         $('#frm_addDiscapacidades #edit_vCat_OrigenDeDificultad #vCat_OrigenDeDificultad').val(9);

           jqGetAjaxShort("patologicos/padecimientos/setTipoGradoOrigenDiscapacidad","resultDiscapacidad", {'clave_pac': clave_pac, 'id_dificultad': dificultad, 'id_disc_grado': 9, 'id_disc_origen': 9 });
        } else {
            
          $('#frm_addDiscapacidades #vCat_GradoDeDificultad').prop('disabled', false);
          $('#frm_addDiscapacidades #vCat_OrigenDeDificultad').prop('disabled', false);

           jqGetAjaxShort("patologicos/padecimientos/setTipoGradoOrigenDiscapacidad","resultDiscapacidad", {'clave_pac': clave_pac, 'id_dificultad': dificultad, 'id_disc_grado': grado_disc, 'id_disc_origen': origen_disc });
        }


    


     
        
     
     });

     $(document).on('change', '#frm_addDiscapacidades #edit_vCat_GradoDeDificultad #vCat_GradoDeDificultad', function () { 
     
       
      var dificultad = $('#frm_addDiscapacidades #edit_vCat_Dificultad #vCat_Dificultad').val();
      var clave_pac = $('#frm_addDiscapacidades #h_clave_pac').val(); 
      var grado_disc =  $('#frm_addDiscapacidades #edit_vCat_GradoDeDificultad #vCat_GradoDeDificultad').val();
      var origen_disc = $('#frm_addDiscapacidades #edit_vCat_OrigenDeDificultad #vCat_OrigenDeDificultad').val();
  

      var origen_disc = $('#frm_addDiscapacidades #edit_vCat_OrigenDeDificultad #vCat_OrigenDeDificultad').val();
        
     
      if (grado_disc ==9) {
          $('#frm_addDiscapacidades #vCat_GradoDeDificultad').prop('disabled', true);
          $('#frm_addDiscapacidades #vCat_OrigenDeDificultad').prop('disabled', true);
          $('#frm_addDiscapacidades #vCat_OrigenDeDificultad').val(9);
          $('#frm_addDiscapacidades #edit_vCat_Dificultad #vCat_Dificultad').val(9);
           jqGetAjaxShort("patologicos/padecimientos/setTipoGradoOrigenDiscapacidad","resultDiscapacidad", {'clave_pac': clave_pac, 'id_dificultad': 9, 'id_disc_grado': 9, 'id_disc_origen': 9 });  

        } else {
          
           $('#frm_addDiscapacidades #vCat_GradoDeDificultad').prop('disabled', false);
           $('#frm_addDiscapacidades #vCat_OrigenDeDificultad').prop('disabled', false);
            jqGetAjaxShort("patologicos/padecimientos/setTipoGradoOrigenDiscapacidad","resultDiscapacidad", {'clave_pac': clave_pac, 'id_dificultad': dificultad, 'id_disc_grado': grado_disc, 'id_disc_origen': origen_disc });  
        }
    
     

      
     
     });

     $(document).on('change', '#frm_addDiscapacidades #edit_vCat_OrigenDeDificultad #vCat_OrigenDeDificultad', function () { 
     
       
      var dificultad = $('#frm_addDiscapacidades #edit_vCat_Dificultad #vCat_Dificultad').val();
      var clave_pac = $('#frm_addDiscapacidades #h_clave_pac').val(); 
      var grado_disc =  $('#frm_addDiscapacidades #edit_vCat_GradoDeDificultad #vCat_GradoDeDificultad').val();
      var origen_disc = $('#frm_addDiscapacidades #edit_vCat_OrigenDeDificultad #vCat_OrigenDeDificultad').val();



     
        
     
      if (origen_disc ==9) {
          $('#frm_addDiscapacidades #vCat_GradoDeDificultad').prop('disabled', true);
          $('#frm_addDiscapacidades #vCat_OrigenDeDificultad').prop('disabled', true);
          $('#frm_addDiscapacidades #edit_vCat_Dificultad #vCat_Dificultad').val(9);
          $('#frm_addDiscapacidades #edit_vCat_GradoDeDificultad #vCat_GradoDeDificultad').val(9);
           jqGetAjaxShort("patologicos/padecimientos/setTipoGradoOrigenDiscapacidad","resultDiscapacidad", {'clave_pac': clave_pac, 'id_dificultad': 9, 'id_disc_grado': 9, 'id_disc_origen': 9 }); 

        } else {
          
           $('#frm_addDiscapacidades #vCat_GradoDeDificultad').prop('disabled', false);
           $('#frm_addDiscapacidades #vCat_OrigenDeDificultad').prop('disabled', false);

            jqGetAjaxShort("patologicos/padecimientos/setTipoGradoOrigenDiscapacidad","resultDiscapacidad", {'clave_pac': clave_pac, 'id_dificultad': dificultad, 'id_disc_grado': grado_disc, 'id_disc_origen': origen_disc }); 
        }
    
   
       
     
     });
   


  </script>

@endsection
